Bug 293991 - claws-mail-devel should require on claws-mail
Summary: claws-mail-devel should require on claws-mail
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-17 21:01 UTC by Michel Alexandre Salim
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 13:34:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2007-09-17 21:01:27 UTC
Description of problem:
If I install claws-mail-devel without installing claws-mail, it does not pull in
c-m as a dependency

Version-Release number of selected component (if applicable):
claws-mail-devel-3.0.0-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. yum remove claws-mail
2. yum install claws-mail-devel
  
Actual results:
claws-mail not reinstalled

Expected results:
claws-mail should be installed as a dependency

Additional info:

Comment 1 Andreas Bierfert 2007-10-08 13:34:54 UTC
Why do you think should claws-mail be installed as a dependency?

claws-mail-devel is meant to build external plugins for claws-mail. For plugins
to build only the header files contained in the -devel package are needed and
nothing from the claws-mail package. Thus I see no sense in requiring the main
package for people who want to e.g. only build modules. For example the buildsys
profits from this as it does not have to install claws-mail itself but only the
headers.

If you have a good reason for having claws-mail-devel require claws-mail let me
know and reopen the bug. Otherwise I will stick to the current behavior.


Note You need to log in before you can comment on or make changes to this bug.